#pragma once

#include <string>
#include <memory>
#include <filesystem>

class AudioSample;
using AudioSamplePtr = std::unique_ptr<AudioSample>;

using Path = std::filesystem::path;
class AudioWriter
{
public:
    AudioWriter();

    void setPath(const Path& path);

    bool write(const AudioSamplePtr& sample);
private:
    Path mPath;
};
